ReadOnlyObjectProperty (JavaFX 13)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlyObjectProperty<T>

- java.lang.Object
- - javafx.beans.binding.ObjectExpression<T>
  - - javafx.beans.property.ReadOnlyObjectProperty<T>

- Type Parameters:
    `T` - the type of the wrapped `Object`
  All Implemented Interfaces:
    `Observable`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`
  Direct Known Subclasses:
    `ObjectProperty`, `ReadOnlyObjectPropertyBase`

      public abstract class ReadOnlyObjectProperty<T>
      extends ObjectExpression<T>
      implements ReadOnlyProperty<T>

  Superclass for all readonly properties wrapping an arbitrary `Object`. For specialized implementations for `ObservableList`, `ObservableSet` and `ObservableMap` that also report changes inside the collections, see `ReadOnlyListProperty`, `ReadOnlySetProperty` and `ReadOnlyMapProperty`, respectively.
  Since:
    JavaFX 2.0
  See Also:
    `ObservableObjectValue`, `ObjectExpression`, `ReadOnlyProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyObjectProperty()` | The constructor of `ReadOnlyObjectProperty`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` | Returns a string representation of this `ReadOnlyObjectProperty` object.

    - ### Methods inherited from class javafx.beans.binding.ObjectExpression

      `asString, asString, asString, getValue, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

- - ### Constructor Detail

    - #### ReadOnlyObjectProperty

          public ReadOnlyObjectProperty()

      The constructor of `ReadOnlyObjectProperty`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this `ReadOnlyObjectProperty` object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this `ReadOnlyObjectProperty` object.